package domain

type AlibabaWdkCouponAbandonWdkCouponAbandonParam struct {
	/*
	   券涞源 写死     */
	CouponSource *string `json:"coupon_source,omitempty" `

	/*
	   优惠券模版id     */
	TemplateId *string `json:"template_id,omitempty" `

	/*
	   用户id 写死     */
	UserId *int64 `json:"user_id,omitempty" `

	/*
	   卡券实例id     */
	VoucherId *int64 `json:"voucher_id,omitempty" `

	/*
	   匿名码     */
	MaCode *string `json:"ma_code,omitempty" `
}

func (s *AlibabaWdkCouponAbandonWdkCouponAbandonParam) SetCouponSource(v string) *AlibabaWdkCouponAbandonWdkCouponAbandonParam {
	s.CouponSource = &v
	return s
}
func (s *AlibabaWdkCouponAbandonWdkCouponAbandonParam) SetTemplateId(v string) *AlibabaWdkCouponAbandonWdkCouponAbandonParam {
	s.TemplateId = &v
	return s
}
func (s *AlibabaWdkCouponAbandonWdkCouponAbandonParam) SetUserId(v int64) *AlibabaWdkCouponAbandonWdkCouponAbandonParam {
	s.UserId = &v
	return s
}
func (s *AlibabaWdkCouponAbandonWdkCouponAbandonParam) SetVoucherId(v int64) *AlibabaWdkCouponAbandonWdkCouponAbandonParam {
	s.VoucherId = &v
	return s
}
func (s *AlibabaWdkCouponAbandonWdkCouponAbandonParam) SetMaCode(v string) *AlibabaWdkCouponAbandonWdkCouponAbandonParam {
	s.MaCode = &v
	return s
}
